Get Tutor
curl --request GET \
--url https://api.example.com/v1/tutors/{tutor_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/v1/tutors/{tutor_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/v1/tutors/{tutor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"email": "<string>",
"placeholder_email": true,
"role": "<string>",
"status": "<string>",
"bio": "<string>",
"teaching_mode": "<string>",
"is_published": true,
"avatar_url": "<string>",
"handle": "<string>",
"subjects": [
"<string>"
],
"created_at": "<string>",
"home_suburb": "<string>",
"home_postcode": "<string>",
"home_lat": 123,
"home_lng": 123,
"service_postcodes": [],
"serves_all_areas": true,
"max_travel_km": 123,
"in_person_arrangements": [],
"tutor_subjects": [],
"specialisations": [
"<string>"
],
"distance_km": 123,
"covers_area": true
}{
"error": {
"code": "not_found",
"message": "Session not found",
"status": 404,
"details": {}
}
}{
"error": {
"code": "not_found",
"message": "Session not found",
"status": 404,
"details": {}
}
}{
"error": {
"code": "not_found",
"message": "Session not found",
"status": 404,
"details": {}
}
}{
"error": {
"code": "not_found",
"message": "Session not found",
"status": 404,
"details": {}
}
}{
"error": {
"code": "not_found",
"message": "Session not found",
"status": 404,
"details": {}
}
}Tutors
Get Tutor
Fetch a single tutor/staff member by ID. 404 if not an accepted member of this org.
GET
/
v1
/
tutors
/
{tutor_id}
Get Tutor
Authorizations
Org API key as Token token=ei_live_...
Path Parameters
Tutor UUID
Response
Successful Response
Was this page helpful?